/* 
 * noIdle header file v0.5
 * 
 * (C) 2002 - Jos Martins (jemart@student.dei.uc.pt)
 * 
 * */

#ifndef __NOIDLE_H__
#define __NOIDLE_H__

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <string.h>
#include <ctype.h>
#include <signal.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/wait.h>

#define IDLE 0
#define NOIDLE 1
#define MAX_LINE 1024
#define CICLE_TIME 2600 /* 2600 seconds */
#define IDLE_TIME 45 /* 45 minutes */

/* 
 * Gets the curent process information.
 * */
int processCmd(char *arg0);

/* 
 * Checks if the string <str> (obtained from processStatus) has intormation
 * about a idle process.
 * */
int checkIdle(char *str);

/* 
 * Signal catching...
 * */
int assignSignals(void);

/* 
 * Catched function.
 * */
void panicExit(int signal);

#endif /* __NOIDLE_H__ */
